import React, { useEffect, useState } from 'react';
import { useContainer, useNetworkStatus, useCurrentStatus, saveNetworkStatus, uploadStatus } from '../main.js';
export const WithNetworkStatus = ({ deep, containerLinkId: passedContainerLinkId, children }) => {
    const containerLinkIdFromHook = useContainer(deep);
    const [containerLinkId, setContainerLinkId] = useState(passedContainerLinkId || containerLinkIdFromHook);
    useEffect(() => {
        setContainerLinkId(passedContainerLinkId || containerLinkIdFromHook);
    }, [deep, passedContainerLinkId, containerLinkIdFromHook]);
    const { connectionStatuses, subscribeToNetworkStatusChanges } = useNetworkStatus({ deep, containerLinkId });
    const { currentStatus } = useCurrentStatus({ deep, containerLinkId });
    const saveCurrentStatus = async () => {
        await saveNetworkStatus({ deep, containerLinkId, connectionStatuses: [] });
    };
    const uploadCurrentStatus = async (options) => {
        await uploadStatus(options);
    };
    const childWithProps = React.cloneElement(children, {
        currentStatus,
        subscribeToNetworkStatusChanges,
        saveNetworkStatus: saveCurrentStatus,
        uploadStatus: uploadCurrentStatus,
        containerLinkId
    });
    return childWithProps;
};
export default WithNetworkStatus;
