import { DeepClient } from "@deep-foundation/deeplinks/imports/client.js";
export type NetworkStatusType = 'wifi' | 'cellular' | 'none' | 'unknown' | string;
/**
 * Asynchronously get the current status of network connectivity.
 *
 * @param {object} {deep: DeepClient, containerLinkId: number}
 * @returns {Promise<NetworkStatusType>}
 */
export declare const getCurrentStatus: ({ deep, containerLinkId, }: {
    deep: DeepClient;
    containerLinkId: number;
}) => Promise<NetworkStatusType>;
