import { useEffect, useState } from 'react';
import { getCurrentStatus } from '../get-current-status.js';
export const useCurrentStatus = ({ deep, containerLinkId }) => {
    // Define state variable to store currentStatus.
    const [currentStatus, setCurrentStatus] = useState(undefined);
    // Load current network status if it does not exist when deep client instance updates.
    useEffect(() => {
        if (!currentStatus) {
            loadCurrentStatus();
        }
    }, [deep]);
    // Async function to load current network status and store it inside currentStatus state variable.
    const loadCurrentStatus = async () => {
        // Set currentStatus to latest status downloaded from deep instance with getCurrentStatus function.
        setCurrentStatus(await getCurrentStatus({ deep, containerLinkId }));
    };
    // Return current network status as currentStatus and loadCurrentStatus handler.
    return { currentStatus, loadCurrentStatus };
};
